DynamicPayloadFormat(3)

NAME
DynamicPayloadFormat - Dynamic payload format objects.

SYNOPSIS

#include <formats.h>

Inherits PayloadFormat.

  Public Member Functions

DynamicPayloadFormat (PayloadType type, uint32 rate)
Constructor.

Public Member Functions inherited from PayloadFormat
PayloadType getPayloadType () const
Get payload type numeric identifier carried in RTP packets.
uint32 getRTPClockRate () const
Get RTP clock rate for this payload format.

  Additional Inherited Members

Protected Member Functions inherited from PayloadFormat
PayloadFormat ()
PayloadFormat must not be used but as base class.
virtual ~PayloadFormat ()
PayloadFormat must not be used but as base class.
void setPayloadType (PayloadType pt)
Set payload type numeric identifier carried in RTP packets.
void setRTPClockRate (uint32 rate)
Set RTP clock rate.

Static Protected Attributes inherited from PayloadFormat
static const uint32 defaultRTPClockRate

Detailed Description

Dynamic payload format objects.

Class of payload formats objects for payload types dynamically negotiated. Because these payloads do not have a fix RTP clock rate assigned, it must be specified to the constructor. This class will be used by applications that support dynamic payload negotiation.

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  DynamicPayloadFormat::DynamicPayloadFormat (PayloadType type, uint32 rate)

Constructor. Builds a dynamic payload format from payload numeric identifier and the corresponding RTP clock rate.

Parameters
    type payload type numeric identifier.
    rate RTP clock rate.

Author

Generated automatically by Doxygen for ccRTP from the source code.